Subject: RE: markup v. sip-events, was: (Re: Side Effects of SUBSCRIBE ar eHarmful (was RE: [Sipping] RE: I-D ACTION:draft-culpepper-sipping-app-i nteract-reqs-00.txt))

From: "Fairlie-Cuninghame, Robert" <[email-masked]>
Date: Fri, 17 May 2002 11:51:50 -0700

Hi Jonathan, 

> > I propose that these components are treated just as Content 
> (within a
> > SIP
> > session) - just like media - with a proper SDP usage profile (HTML,
> > key-events, whatever).
> 
> I am not sure I agree with this. We are talking about *control*, the
> realm of protocols and signaling, not media. 

What sort of control? HTML/VoiceXML is not normally considered control,
stimuli collection (DML, key-events) is not normally considered control,
media is not normally considered control. People have tried to accomplish
device control through SIP but isn't this a separate issue - it is certainly
not a requirement in the app-interact-reqs.

> > Do people have problems with this direction? Yes it needs 
> to be fleshed
> > out
> > more (especially in the way that a client identifies co-operating
> > applications, etc) but is it a good direction?
> 
> I am not convinced at all, but I will withold judgement until 
> there is a
> draft.
> 

Ok I'll try to write up my proposal into a draft. 

Cheers,

Robert.

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP